Skip to main content
GET
/
public
/
v1
/
purchase-orders
/
List PurchaseOrder records
curl --request GET \
  --url https://api.dualentry.com/public/v1/purchase-orders/ \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.dualentry.com/public/v1/purchase-orders/"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.dualentry.com/public/v1/purchase-orders/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "term_id": 123,
      "term_name": "<string>",
      "internal_id": 123,
      "number": 123,
      "date": "2023-12-25",
      "company_id": 123,
      "company_name": "<string>",
      "company_currency": "<string>",
      "vendor_id": 123,
      "vendor_name": "<string>",
      "exchange_rate": "<string>",
      "billed_total": "<string>",
      "due_total": "<string>",
      "amount": "<string>",
      "memo": "<string>",
      "items": [
        {
          "classifications": [
            {
              "id": 123,
              "name": "<string>",
              "line_id": 123,
              "line_name": "<string>",
              "parent_classification_id": 123,
              "parent_classification_line_id": 123
            }
          ],
          "id": 123,
          "item_id": 123,
          "position": 123,
          "memo": "<string>",
          "quantity": "<string>",
          "rate": "<string>",
          "quantity_billed": "<string>",
          "quantity_due": "<string>",
          "net_amount": "<string>",
          "tax_amount": "<string>",
          "gross_amount": "<string>",
          "amount": "<string>",
          "item_type": "<string>",
          "hsn_sac_code": "<string>",
          "tax": {
            "code": "<string>",
            "rate": "<string>",
            "amount": "<string>",
            "is_taxable": true,
            "tax_exempt_amount": "<string>",
            "vat_rate_id": 123,
            "gst_tax_rate_id": 123,
            "tax_components": [
              {
                "rate": "<string>",
                "amount": "<string>",
                "position": 123,
                "region": "<string>"
              }
            ],
            "amount_with_tax": "<string>",
            "rate_name": "<string>",
            "rate_type": "<string>",
            "tax_treatment": "<string>"
          }
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "attachments": [],
      "created_by": {
        "actor_type": "<string>",
        "email": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "updated_by": {
        "actor_type": "<string>",
        "email": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "approval_status": "<string>",
      "next_approvers": [
        {
          "id": 123,
          "first_name": "<string>",
          "last_name": "<string>",
          "email": "<string>",
          "full_name": "<string>",
          "avatar_url": "<string>"
        }
      ],
      "rejected_by": {
        "id": 123,
        "first_name": "<string>",
        "last_name": "<string>",
        "email": "<string>",
        "full_name": "<string>",
        "rejection_reason": "<string>"
      },
      "reference_number": ""
    }
  ],
  "count": 123
}
{
"errors": {},
"success": false
}

Authorizations

X-API-KEY
string
header
required

Query Parameters

search
string | null
company_id
integer[] | null
number
integer[] | null
vendor_id
integer[] | null
start_date
string<date> | null
end_date
string<date> | null
record_status
enum<string>[] | null
Available options:
draft,
posted,
archived
approval_status
string[] | null
billed
boolean | null
unbilled
boolean | null
partially_billed
boolean | null
billed_status
enum<string>[]
Available options:
billed,
unbilled,
partially_billed
updated_after
string<date-time> | null
updated_before
string<date-time> | null
ordering
string | null
default:id
limit
integer
default:100

Number of records to return per page (capped at 100)

Required range: x >= 1
offset
integer
default:0

Number of records to skip before starting to return results

Required range: x >= 0

Response

OK

items
PublicPurchaseOrderSchemaOut · object[]
required
count
integer
required
Last modified on July 13, 2026